Subject: Re: [PATCH 0/5] gnu: poetry: Update to 1.7.1.

From: Tanguy LE CARROUR <[email-masked]>
Date: Mon, 17 Jun 2024 08:54:21 +0200

Hi,

Quoting Antero Mejr (2024-06-14 22:55:25)
> Tanguy LE CARROUR <[email-masked]> writes:
> >>> Updating to 1.7.1 instead of the latest, because poetry 1.8.2 requires a
> >>> newer python-packaging, which would trigger many rebuilds.a
> >> How about to apply patches against python-team branch with the latest version?
> >
> > As Oleg said, it would be great to have version 1.8.2. I have to confess that,
> > because it’s not available in Guix, I’ve been installing it using pipx for few
> > months now.
> >
> > This being said here are some (useless) remarks…
> >
> > ...
> 
> The new patchset (just sent) is rebased on python-team branch, updates
> poetry to 1.8.3, and fixes the above issues.
> 
> The recent upgrade to urllib3 2.x on python-team broke a number of
> packages, so some fixes for that are also included.
> 
> The python-team branch triggers a rebuild of Cmake, which my laptop
> cannot handle due to memory limitations. So I'll have to rely on the QA
> server to build, or if someone else wants they can build the patches.

I’m building it right now… I’ll let you know.

Regards.

-- 
Tanguy